//rightside bar
// .right-hr {

//   margin-top: 5px;
//   margin-bottom: 5px;
// }

// .right-lable {
//   font-family: "worksans";
//   font-weight: normal;
//   font-size: 14px;
//   letter-spacing: -0.01em;
//   color: #555555;
//   margin-bottom: 5px;
// }



// .right-bottombtn {
//   position: fixed;
//   bottom: 0px;
//   background: #fff;
//   padding: 0px;
//   height: 68px;
//   left: 0;
//   right: 0;
// }

// .er-runbtn {
//   width: 285px;
//   height: 40px;
//   font-size: 16px;
//   font-family: "worksans";
//   font-weight: 500;
//   border-radius: 6px;
//   box-shadow: 0px 12px 15px -10px rgba(var(--secondary-color), 0.6);
// }

// .right-title {
//   font-family: "worksans";
//   font-style: normal;
//   font-weight: 500;
//   font-size: 16px;
//   letter-spacing: -0.01em;

// }

//all engine common code
// .switch-tab-height {
//   height: 45px;
// }

// .switching-tab-mt {
//   margin-top: -30px;
// }

//popup code
.auto-table {
  & thead th, tbody td{
    border-right: 1px solid #cccccc8c !important;
  }
 & thead{
    background: #e9e9e9;
    & th{
      font-size: 14px;
      font-family: "worksans";
      font-weight: 500;
      color:#555;
      letter-spacing: -0.01em;
      font-style: normal;
      vertical-align: middle;
      padding-left: 10px;
    }
    & tr{
      height:33px;
    }
  }
  & tbody{
    & td{
      font-size: 13px;
      font-family: "worksans";
      font-weight: normal;
      color:#555;
      letter-spacing: -0.01em;
      font-style: normal;
      vertical-align: middle;
      padding-left:10px;
    }
    & tr{
      height:42px;
    }
  }
  & .custom-control-label::before {
    top: 0.0325rem !important;
  }
  & .custom-control {
    padding-left: 2.3rem;
}
}
.engine_bottom_space {
  max-height: calc(100vh - 140px);overflow-y: auto;overflow-x: hidden;padding-bottom: 300px;
}

.active-bg{
  background:#f2f2f2;
}
.er-prview{
  font-family: "worksans";
  font-size: 12px;
  font-weight: normal;
  font-style: normal;
}
.er-inputgroup{
  width: 180px;
  height:41px;
  & .left-control{
    background: #FFF;
    border-radius: 0px 3px 3px 0px;
    height: 41px;
    border-width: 1px 1px 1px 0px;
    border-color: #e9e9e9;
    font-family: "worksans";
    color: #555;
    font-size: 14px;
    padding: 0.438rem 0.275rem;
    &:focus{
      border-color: #e9e9e9 !important;
    }
  }
  & .right-control{
    background: #FFF;
    border-radius: 3px 0px 0px 3px;
    height: 41px;
    border-width: 1px 0px 1px 1px;
    border-color: #e9e9e9;
    font-family: "worksans";
    color: #555;
    font-size: 14px;
    padding: 0.438rem 0.275rem;
    border-radius: 3px;
    &:focus{
      border-color: #e9e9e9 !important;
    }
  }
  & .right-pre{
    margin-left: -1px;
  }
  & .left-grouptext{
    border: 1px solid #E9E9E9;
    font-family:"worksans";
font-style: normal;
font-weight: normal;
font-size: 14px;
text-align: center;
letter-spacing: -0.01em;
color: #AAAAAA;
padding: 0.438rem 0.500rem;
  }
  & .right-grouptext{
    border: 1px solid #E9E9E9;
    font-family:"worksans";
font-style: normal;
font-weight: normal;
font-size: 14px;
text-align: center;
letter-spacing: -0.01em;
color: #AAAAAA;
padding: 0.438rem 0.500rem;
  }
}
.er-math{
  font-family:"worksans";
font-style: normal;
font-weight: normal;
font-size: 16px;
letter-spacing: -0.01em;
color: #999999;
}
.type-math-active{
border-radius: 3px;
width: 40px;
height: 40px;
line-height: 2.5;
text-align: center;
& span{
  font-family: "worksans";
font-style: normal;
font-weight: 500;
font-size: 16px;
text-align: center;
letter-spacing: -0.01em;
color: #FFFFFF;
}
}
.type-math-inactive{
  background: #E9E9E9;
border-radius: 3px;
width: 40px;
height: 40px;
line-height: 2.5;
text-align: center;
cursor: pointer;
& span{
  font-family: "worksans";
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  text-align: center;
  letter-spacing: -0.01em;
  color: #AAAAAA;
}
}




//price preview table
.pp-title {
  height: 61px;
  font-family: "worksans";
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  letter-spacing: -0.01em;
  color: #555555;
  line-height: 61px;
}
.price-preview {
  border: none;
  & thead tr {
    height: 42px;
    background: #f2f2f2;
    & .pp-th {
      font-family: "worksans";
      font-style: normal;
      font-weight: 500;
      font-size: 16px;
      text-align: center;
      letter-spacing: -0.01em;
      color: #555555;
      vertical-align: middle;
      border-right: 1px solid #ccc !important;
    }
  }
  & tbody tr {
    height: 42px;
    border-bottom: 0.5px solid #cccccc;
    & .pp-td {
      font-family: "worksans";
      font-style: normal;
      font-weight: normal;
      font-size: 16px;
      text-align: center;
      letter-spacing: -0.01em;
      color: #555555;
      vertical-align: middle;
      border-right: 1px solid #ccc !important;
    }
  }
}
.price-overview-scroll{
  height: 466px;
  max-height: 466px;
  overflow-x: hidden;
  overflow-y: auto;
}
.pp-close {
  position: absolute;
  top: 14px;
  right: 15px;
  z-index: 5;
  & i {
    color: #555555;
    font-size: 22px;
  }
}

